

/*****************************************
* STORED stp_particolariByConditioLikePref
*
* Recupera elenco particolari data la condizione e l'inizio del campo value (ricerca like)
*
* Steamware, S.E.L.
* mod: 2012.03.16
*
****************************************/
CREATE PROCEDURE [dbo].[stp_particolariByConditioLikePref]
(
	@conditio NVARCHAR(50),
	@prefText NVARCHAR(50)
)
AS
-- se conditio ( A-nime P-Prod ) è nulla o '' visualizzo tutti i particolari

IF ( @conditio IS NOT NULL AND @conditio <> '' )
    SELECT	*
    FROM v_selParticolari
     WHERE conditio = @conditio
        AND value LIKE @prefText + '%';
ELSE
    SELECT	*
    FROM v_selParticolari
     WHERE value LIKE @prefText + '%';

RETURN

